[mypy]
python_version = 3.8
warn_unused_configs = True
warn_return_any = True
exclude = singer_sdk/tests

[mypy-singer.*]
# Library 'pipelinewise-singer-tools' does not have type hints:
# - https://github.com/transferwise/pipelinewise-singer-python/issues/25
ignore_missing_imports = True

[mypy-singer_sdk.samples.*]
# Missing symbols for samples is okay
ignore_missing_imports = True

[mypy-jsonschema.*]
# Frozen due to pipelinewise-singer-tools dependency
ignore_missing_imports = True

[mypy-backoff.*]
# Frozen due to pipelinewise-singer-tools dependency
ignore_missing_imports = True

[mypy-bcrypt.*]
ignore_missing_imports = True

[mypy-joblib.*]
ignore_missing_imports = True

[mypy-pyarrow.*]
ignore_missing_imports = True

[mypy-pandas.*]
ignore_missing_imports = True

[mypy-simpleeval.*]
ignore_missing_imports = True

[mypy-jsonpath_ng.*]
ignore_missing_imports = True
